//#################################################################################
//Define CustomPlugin
//#################################################################################
/**
 * @description
 * definition Player plugin
 * @param player {Player}
 * @param dom {HTML}
 * @param otherparams {Object}
 * @param jquery {JQuery}
 */
window.pCOpI9Plugin = function (playerInstance, dom, otherparams, jquery) {
	//################################################
	//CONFIGURATION
	//################################################
	/**
	 * @description
	 * Player Instance
	 * @type {Player}
	 */
	this.player = playerInstance;
	/**
	 * @description
	 * jQuery Instance
	 * @type {jQuery}
	 */
	this.$ = jquery;
	//################################################
	// Event CE THRON listener
	//################################################
	/**
	 * @description
	 * Inizialization plugin, add some embed params
	 */
	this.player.on("beforeInit",
		function (playerInstance) {
			console.log("set action before player init",playerInstance,"otherparams",otherparams);
			var params = {
				volume : 0.5,
				userLanguage : "EN",
				autoplay : false,
				linkedContent : "show",
				//loader spinner color
				preloadColor : "#F39900",
				//Audio Wave color
				waveColor : "#ffffff",
				waveProgressColor : "#f39900"
			};
			//add params
			playerInstance.params(params);
		}
	);
	//################################################
	//listener event player
	//################################################
	/**
	 * @description
	 * Resize Event
	 */
	this.player.on("resize", function (playerInstance) {
			console.log("resize",playerInstance);
		}
	);
	/**
	 * @description
	 * On reproducer ready
	 */
	this.player.on("ready", function (playerInstance) {
			console.log("ready",playerInstance);
		}
	);
};
//#################################################################################
// MAIN PLUGIN
//#################################################################################
//Register Plugin :
THRONContentExperience.plugin("pCOpI9", pCOpI9Plugin);
//#################################################################################
